Airport Express requires 10.3 - oops.

Discussion in 'Macintosh Computers' started by minimac, Jul 24, 2004.

  1. macrumors member

    Joined:
    Jan 29, 2003
    Location:
    NJ
    #1
    Well, I just got back from CompUSA after picking up the only Airport Express I saw on the shelves there. Unfortunately I never noticed that it requires 10.3 to work. I know I'm behind the times only being on 10.2.8, but is there any way to get this running without having to spend another $130 to upgrade?
     
  2. macrumors 65816

    Elan0204

    Joined:
    Apr 16, 2002
    Location:
    Chicago, IL
    #2
    I'd recommend buying a used copy of Panther. Look around on eBay, or put a "Want To Buy (WTB)" ad in the Marketplace and Classifieds section here on MacRumors. Seeing as how Panther has been out for 9 months you'll definitely be able to find a copy for less than $129.

    edit: MacMall.com is currently selling Panther for $108.99. If you buy it with iLife '04 ($44.00), you get a $50 mail in rebate. Amazon.com is selling it for $114.99, and has the same promotion for a $50 rebate when you purchase iLife '04 (which Amazon sells for $44.99).
     
  3. macrumors 6502a

    Finiksa

    Joined:
    Feb 23, 2003
    Location:
    Australia
  4. thread starter macrumors member

    Joined:
    Jan 29, 2003
    Location:
    NJ
    #4
    Thanks for the info. Just curious, but I'm wondering what feature of the new OS is needed to support the Airport Express. I have airport support and 10.2 has rendezvous, what other functionality am I missing? Or is it just another way to get people to upgrade to the new OS?
    :confused:
     

Share This Page